> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate mandate signature request



## OpenAPI

````yaml /openapi.json post /customers/{customerId}/payment-methods/{paymentMethodId}/signature
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /customers/{customerId}/payment-methods/{paymentMethodId}/signature:
    post:
      tags:
        - customer
      summary: Generate mandate signature request
      operationId: CustomerController_generateMandateSignatureRequest
      parameters:
        - name: customerId
          required: true
          in: path
          description: the customer id
          schema:
            type: string
        - name: paymentMethodId
          required: true
          in: path
          schema:
            type: string
        - name: whenAt
          required: false
          in: query
          description: 'Optional: the whenAt datetime'
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GenerateMandateSignatureRequestInputBody'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenerateMandateSignatureRequestOutput'
        '400':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/InvalidProductErrorDto'
                  - $ref: '#/components/schemas/MissingCustomerContactFieldsErrorDto'
              examples:
                INVALID_PRODUCT:
                  $ref: '#/components/schemas/InvalidProductErrorDto'
                MISSING_CUSTOMER_CONTACT_FIELDS:
                  $ref: '#/components/schemas/MissingCustomerContactFieldsErrorDto'
          description: ''
        '404':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/CustomerNotFoundErrorDto'
                  - $ref: '#/components/schemas/PaymentMethodNotFoundErrorDto'
              examples:
                CUSTOMER_NOT_FOUND:
                  $ref: '#/components/schemas/CustomerNotFoundErrorDto'
                PAYMENT_METHOD_NOT_FOUND:
                  $ref: '#/components/schemas/PaymentMethodNotFoundErrorDto'
          description: ''
        '409':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/ConflictingConfigErrorDto'
                  - $ref: >-
                      #/components/schemas/ConflictingPaymentMethodStatusErrorDto
              examples:
                CONFLICTING_CONFIG:
                  $ref: '#/components/schemas/ConflictingConfigErrorDto'
                CONFLICTING_PAYMENT_METHOD_STATUS:
                  $ref: '#/components/schemas/ConflictingPaymentMethodStatusErrorDto'
          description: ''
        '425':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: >-
                      #/components/schemas/NoUniqueDocumentTypeReadyToBeSignedErrorDto
              examples:
                NO_UNIQUE_DOCUMENT_TYPE_READY_TO_BE_SIGNED:
                  $ref: >-
                    #/components/schemas/NoUniqueDocumentTypeReadyToBeSignedErrorDto
          description: ''
components:
  schemas:
    GenerateMandateSignatureRequestInputBody:
      type: object
      properties:
        deliveryMode:
          type: string
          description: the delivery mode
          enum:
            - EMAIL
            - URL
      required:
        - deliveryMode
    GenerateMandateSignatureRequestOutput:
      type: object
      properties:
        id:
          type: string
          description: the signature id
        signers:
          description: the signers
          type: array
          items:
            $ref: '#/components/schemas/SignerDto'
      required:
        - id
        - signers
    InvalidProductErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_PRODUCT
        message:
          type: string
          example: Invalid product {product}
        details:
          $ref: '#/components/schemas/InvalidProductDetailsDto'
      required:
        - code
        - message
        - details
    MissingCustomerContactFieldsErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - MISSING_CUSTOMER_CONTACT_FIELDS
        message:
          type: string
          example: Customer {customerId} ({branchId}) is missing some essential fields
        details:
          $ref: '#/components/schemas/MissingCustomerContactFieldsDetailsDto'
      required:
        - code
        - message
        - details
    CustomerNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - CUSTOMER_NOT_FOUND
        message:
          type: string
          example: Customer {customerId} ({branchId}) not found
        details:
          $ref: '#/components/schemas/CustomerNotFoundDetailsDto'
      required:
        - code
        - message
        - details
    PaymentMethodNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - PAYMENT_METHOD_NOT_FOUND
        message:
          type: string
          example: No payment method found for payment method id {paymentMethodId}
        details:
          $ref: '#/components/schemas/PaymentMethodNotFoundDetailsDto'
      required:
        - code
        - message
        - details
    ConflictingConfigErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - CONFLICTING_CONFIG
        message:
          type: string
          example: Config field {configField} {requirement} {value} to perform {action}
        details:
          $ref: '#/components/schemas/ConflictingConfigDetailsDto'
      required:
        - code
        - message
        - details
    ConflictingPaymentMethodStatusErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - CONFLICTING_PAYMENT_METHOD_STATUS
        message:
          type: string
          example: >-
            {paymentMethodId} status {requirement} {paymentMethodStatus} to
            perform {action}
        details:
          $ref: '#/components/schemas/ConflictingPaymentMethodStatusDetailsDto'
      required:
        - code
        - message
        - details
    NoUniqueDocumentTypeReadyToBeSignedErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - NO_UNIQUE_DOCUMENT_TYPE_READY_TO_BE_SIGNED
        message:
          type: string
          example: >-
            No unique {type} document ready to be signed for this policy (found
            {documentNumber})
        details:
          $ref: '#/components/schemas/NoUniqueDocumentReadyTypeToBeSignedDetailsDto'
      required:
        - code
        - message
        - details
    SignerDto:
      type: object
      properties:
        customerId:
          type: string
          description: Customer Id
        url:
          type: string
          description: Signature url
      required:
        - customerId
        - url
    InvalidProductDetailsDto:
      type: object
      properties:
        tenant:
          type: string
        product:
          type: string
        expectedProduct:
          type: string
      required:
        - product
    MissingCustomerContactFieldsDetailsDto:
      type: object
      properties:
        customerId:
          type: string
        branchId:
          type: string
        missingFields:
          type: array
          items:
            type: string
      required:
        - customerId
        - missingFields
    CustomerNotFoundDetailsDto:
      type: object
      properties:
        customerId:
          type: string
        branchId:
          type: string
        whenAt:
          type: string
        simulatedAt:
          type: string
      required:
        - customerId
    PaymentMethodNotFoundDetailsDto:
      type: object
      properties:
        paymentMethodId:
          type: string
      required:
        - paymentMethodId
    ConflictingConfigDetailsDto:
      type: object
      properties:
        configField:
          type: string
        requirement:
          allOf:
            - $ref: '#/components/schemas/OperationRequirement'
        value:
          type: string
        action:
          allOf:
            - $ref: '#/components/schemas/Action'
      required:
        - configField
        - requirement
        - value
        - action
    ConflictingPaymentMethodStatusDetailsDto:
      type: object
      properties:
        paymentMethodStatus:
          type: string
        paymentMethodId:
          type: string
        requirement:
          allOf:
            - $ref: '#/components/schemas/OperationRequirement'
        action:
          allOf:
            - $ref: '#/components/schemas/Action'
        additionalData:
          type: object
          additionalProperties: true
      required:
        - paymentMethodStatus
        - paymentMethodId
        - requirement
        - action
    NoUniqueDocumentReadyTypeToBeSignedDetailsDto:
      type: object
      properties:
        type:
          type: string
        documentNumber:
          type: number
      required:
        - type
        - documentNumber
    OperationRequirement:
      type: string
      enum:
        - must be
        - must NOT be
        - must contain
        - must NOT contain
    Action:
      type: string
      enum:
        - PERFORM THIS ACTION
        - CREATE POLICY
        - CREATE ASSET
        - CREATE ASSET WITH START DATE
        - REPLACE ASSET
        - REMOVE ASSET
        - CHOOSE ASSET OPTIONS
        - STOP ASSET
        - EDIT ASSET
        - EDIT ASSET WITH START DATE
        - CREATE BRANCH
        - CREATE DEROGATION
        - CREATE MTA BRANCH
        - FORK TO NEW MTA BRANCH
        - FORK TO NEW NB BRANCH
        - FORK TO NEW RENEWAL BRANCH
        - FORK TO NEW REPRICING BRANCH
        - DEFINE PARENT POLICY ID
        - INITIALIZE CUSTOMER
        - EDIT CUSTOMER
        - DELETE CUSTOMER FROM POLICY
        - DECLARE CLAIMS HISTORY
        - SIGN
        - EDIT POLICY
        - EDIT POLICY EXTERNAL ID
        - CONFIRM POLICY
        - QUOTE POLICY
        - RETRIEVING QUOTE
        - STOP POLICY
        - SUSPEND POLICY
        - ACTIVATE POLICY
        - GENERATE MANDATE SIGNATURE REQUEST
        - GENERATE PAYMENT METHOD SECRET
        - CREATE CLAIM
        - FINALIZE RENEWAL
        - SEND CONTRACT TO SIGNATURE
        - GENERATE SIGNATURE REQUEST
        - GENERATE DOCUMENTS FOR SIGNATURE
        - APPROVE DISTRIBUTION REQUEST
        - DENY DISTRIBUTION REQUEST
        - REVOKED_DISTRIBUTION_REQUEST
        - DELETE DISTRIBUTION REQUEST
        - WAITING FOR SIGNATURE DISTRIBUTION REQUEST
        - UPDATE POLICY QUOTE

````